Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.tuple
Class CharacterBinding

    java.lang.Object
      com.sleepycat.bind.tuple.TupleBinding
          com.sleepycat.bind.tuple.CharacterBinding

All Implemented Interfaces:
  EntryBinding

public class CharacterBinding
extends TupleBinding

A concrete `TupleBinding` for a `Character` primitive wrapper or a `char` primitive.

There are two ways to use this class:

1. When using the `com.sleepycat.db` package directly, the static methods in this class can be used to convert between primitive values and `DatabaseEntry` objects.
2. When using the `com.sleepycat.collections` package, an instance of this class can be used with any stored collection. The easiest way to obtain a binding instance is with the `TupleBinding.getPrimitiveBinding(java.lang.Class)` method.

Constructor Summary
`CharacterBinding()`

Method Summary
`static void` | `charToEntry(char val, DatabaseEntry entry)` Converts a simple `char` value into an entry buffer.
`static char` | `entryToChar(DatabaseEntry entry)` Converts an entry buffer into a simple `char` value.
`Object` | `entryToObject(TupleInput input)` Constructs a key or data object from a `TupleInput` entry.
`void` | `objectToEntry(Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.
`void` | `objectToEntry(Object object, TupleOutput output)` Converts a key or data object to a tuple entry.

Methods inherited from class com.sleepycat.bind.tuple.TupleBinding
`entryToInput, entryToObject, getPrimitiveBinding, inputToEntry, newOutput, newOutput, outputToEntry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterBinding

    public CharacterBinding()

Method Detail

### entryToObject

    public Object entryToObject(TupleInput input)

  Description copied from class: `TupleBinding`
  Constructs a key or data object from a `TupleInput` entry.

  Specified by:
    `entryToObject` in class `TupleBinding`
  Parameters:
    `input` - is the tuple key or data entry.
  Returns:
    the key or data object constructed from the entry.

### objectToEntry

    public void objectToEntry(Object object,
                              TupleOutput output)

  Description copied from class: `TupleBinding`
  Converts a key or data object to a tuple entry.

  Specified by:
    `objectToEntry` in class `TupleBinding`
  Parameters:
    `object` - is the key or data object.
    `output` - is the tuple entry to which the key or data should be written.

### objectToEntry

    public void objectToEntry(Object object,
                              DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts an Object into a entry buffer.

  Specified by:
    `objectToEntry` in interface `EntryBinding`
  Overrides:
    `objectToEntry` in class `TupleBinding`

### entryToChar

    public static char entryToChar(DatabaseEntry entry)

  Converts an entry buffer into a simple `char` value.

  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting value.

### charToEntry

    public static void charToEntry(char val,
                                   DatabaseEntry entry)

  Converts a simple `char` value into an entry buffer.

  Parameters:
    `val` - is the source value.
    `entry` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.